---

shellcheck:
  stage: linting
  image: koalaman/shellcheck-alpine:latest
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule"'
      when: never
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: false
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: false
  dependencies: []
  cache: {}
  needs: []
  interruptible: true
  before_script:
    - apk add --no-cache --update --quiet xmlstarlet
  script:
    - |
      shellcheck \
        --norc \
        --format checkstyle \
        $(find ./ -type f -name "*.sh" -exec echo {} +;) \
      | xmlstarlet tr ./.gitlab/ci/checkstyle2junit.xslt > ./junit.shellcheck.xml
  artifacts:
    expire_in: 1 day
    reports:
      junit:
        - ./junit.shellcheck.xml
